



#runs as player that is in level every tick
#if in speedrun, race or normal
execute if entity @s[tag=racemode] run function we:race_pl_tick
execute if entity @s[tag=speedmode] run function we:pl_lv_tick_speedrun
execute if entity @s[tag=!speedmode,tag=!racemode] run function we:pl_lv_tick_normal

#detect jump
execute if score @s jump_detect matches ..0 unless predicate we:onground if score @s jump_detect matches ..0 run scoreboard players set @s jump_detect 1
execute if score @s jump_detect matches 1 run function we:pl_lv_jump
execute if score @s jump_detect matches 2.. if predicate we:onground run scoreboard players set @s jump_detect 0
execute if score @s jump_fail_detect matches 1.. if entity @s[tag=timeron,tag=!new_area,tag=!new_level] unless block ~ ~-0.1 ~ #we:fail_always_on unless block ~ ~ ~ #we:fail_always_in run function we:pl_lv_fail_detect_ignore

#detect drop
execute if score @s drop matches 1.. run function we:pl_lv_drop

#detect f
execute if predicate we:if_press_f_lvl run function we:pl_lv_f

#detect right click
execute if score @s click matches 1.. run function we:pl_lv_click

#detect start
execute if entity @s[tag=!timeron,tag=!new_area,tag=!new_level,tag=!infail,tag=!inend,tag=!cant_start] unless predicate we:onground unless block ~ ~-0.9 ~ red_concrete unless block ~ ~-1.9 ~ red_concrete run function we:pl_lv_start
execute if entity @s[tag=cant_start,tag=!timeron] if predicate we:onground run tag @s remove cant_start

#detect finish
execute if entity @s[tag=timeron,tag=!new_area,tag=!new_level,tag=!infail] if block ~ ~-0.1 ~ red_concrete if predicate we:onground unless entity @e[type=marker,distance=..10,tag=en_lvl_start] run function we:pl_lv_end

#detect hit minecart
execute if score @s sl_level matches 4 at @e[distance=..2,type=furnace_minecart] if entity @s[distance=..0.5] unless predicate we:effect_slowness run function we:pl_lv_hit_minecart

#actionbar
execute if entity @s[tag=!timeron,tag=!new_area,tag=!new_level,tag=!infail,tag=!inend,tag=!racemode] run title @s actionbar ["",{"text":"[","color":"black"},{"text":"Press ","color":"gold"},{"keybind":"key.drop","underlined":true,"color":"white"},{"text":" to restart","color":"gold"},{"text":"]","color":"black"},{"text":" [","color":"black"},{"text":"Press ","color":"gold"},{"keybind":"key.swapOffhand","underlined":true,"color":"white"},{"text":" to exit","color":"gold"},{"text":"]","color":"black"}]

#if in end
execute if entity @s[tag=inend,tag=!racemode] run function we:pl_lv_end_tick

#timer
execute if entity @s[tag=timeron,tag=!new_area,tag=!new_level] run function we:pl_lv_timer

#fail animation
execute if entity @s[tag=infail] run function we:pl_lv_fail_tick

#detect ability
execute if entity @e[type=armor_stand,tag=en_ability,distance=..2] if entity @s[tag=timeron,tag=!infail,tag=!tp_is,tag=!inend] if predicate we:onground run function we:pl_lv_ability_get
execute if score @s ability matches 1..200 run function we:pl_lv_ability_has
execute if score @s ability matches 1000 if predicate we:effect_speed_time run function we:pl_lv_ability_stop_sb

#exit
execute if score @s pl_timer matches 1.. if entity @s[tag=new_area] run function we:pl_lv_area
execute if score @s pl_timer matches 1.. if entity @s[tag=new_level] run function we:pl_lv_level



